var videos;

function initVideoEvents() {
	videos = document.querySelectorAll('.inline-movie');
	
	try {
		videos.forEach(function(videoElem) {
			videoElem.addEventListener('play', (event) => {
				console.log("video play event: ", event);
			});
			
			videoElem.addEventListener('ended', (event) => {
				console.log("video end event: ", event);
			});
		});
	}
	catch(ex) {
		console.log("initVideoEvents error: ", ex);
	}
}


if(document.readyState === 'complete' || (document.readyState !== 'loading' && !document.documentElement.doScroll)) {
	initVideoEvents();
}
else {
	document.addEventListener('DOMContentLoaded', initVideoEvents);
}